GrailsDomainClassPersistentEntity (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.domain

## [Java] Class GrailsDomainClassPersistentEntity

- org.codehaus.groovy.grails.domain.GrailsDomainClassPersistentEntity

- All Implemented Interfaces and Traits:
    org.grails.datastore.mapping.model.PersistentEntity

      @java.lang.SuppressWarnings("rawtypes")
      public class GrailsDomainClassPersistentEntity
      extends java.lang.Object

  Bridges the GrailsDomainClass interface into the org.grails.datastore.mapping.model.PersistentEntity interface

  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsDomainClassPersistentEntity (GrailsDomainClass domainClass, GrailsDomainClassMappingContext mappingContext)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<org.grails.datastore.mapping.model.types.Association>` | `getAssociations()`
    `java.lang.String` | `getDecapitalizedName()`
    `java.lang.String` | `getDiscriminator()`
    `GrailsDomainClass` | `getDomainClass()` @return The wrapped GrailsDomainClass instance
    `org.grails.datastore.mapping.model.PersistentProperty` | `getIdentity()`
    `java.lang.Class` | `getJavaClass()`
    `org.grails.datastore.mapping.model.ClassMapping` | `getMapping()`
    `org.grails.datastore.mapping.model.MappingContext` | `getMappingContext()`
    `java.lang.String` | `getName()`
    `org.grails.datastore.mapping.model.PersistentEntity` | `getParentEntity()`
    `java.util.List<org.grails.datastore.mapping.model.PersistentProperty>` | `getPersistentProperties()`
    `java.util.List<java.lang.String>` | `getPersistentPropertyNames()`
    `org.grails.datastore.mapping.model.PersistentProperty` | `getPropertyByName(java.lang.String name)`
    `org.grails.datastore.mapping.model.PersistentEntity` | `getRootEntity()`
    `org.grails.datastore.mapping.model.PersistentProperty` | `getVersion()`
    `boolean` | `hasProperty(java.lang.String name, java.lang.Class type)`
    `void` | `initialize()`
    `boolean` | `isExternal()`
    `boolean` | `isIdentityName(java.lang.String propertyName)`
    `boolean` | `isInitialized()`
    `boolean` | `isInstance(java.lang.Object obj)`
    `boolean` | `isOwningEntity(org.grails.datastore.mapping.model.PersistentEntity owner)`
    `boolean` | `isRoot()`
    `boolean` | `isVersioned()`
    `java.lang.Object` | `newInstance()`
    `void` | `setExternal(boolean external)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsDomainClassPersistentEntity(GrailsDomainClass domainClass, GrailsDomainClassMappingContext mappingContext)

  - ### Method Detail

    - #### public java.util.List<org.grails.datastore.mapping.model.types.Association> getAssociations()

    - #### public java.lang.String getDecapitalizedName()

    - #### public java.lang.String getDiscriminator()

    - #### public GrailsDomainClass getDomainClass()

      Returns:
        The wrapped GrailsDomainClass instance

    - #### public org.grails.datastore.mapping.model.PersistentProperty getIdentity()

    - #### public java.lang.Class getJavaClass()

    - #### public org.grails.datastore.mapping.model.ClassMapping getMapping()

    - #### public org.grails.datastore.mapping.model.MappingContext getMappingContext()

    - #### public java.lang.String getName()

    - #### public org.grails.datastore.mapping.model.PersistentEntity getParentEntity()

    - #### public java.util.List<org.grails.datastore.mapping.model.PersistentProperty> getPersistentProperties()

    - #### public java.util.List<java.lang.String> getPersistentPropertyNames()

    - #### public org.grails.datastore.mapping.model.PersistentProperty getPropertyByName(java.lang.String name)

    - #### public org.grails.datastore.mapping.model.PersistentEntity getRootEntity()

    - #### public org.grails.datastore.mapping.model.PersistentProperty getVersion()

    - #### public boolean hasProperty(java.lang.String name, java.lang.Class type)

    - #### public void initialize()

    - #### public boolean isExternal()

    - #### public boolean isIdentityName(java.lang.String propertyName)

    - #### public boolean isInitialized()

    - #### public boolean isInstance(java.lang.Object obj)

    - #### public boolean isOwningEntity(org.grails.datastore.mapping.model.PersistentEntity owner)

    - #### public boolean isRoot()

    - #### public boolean isVersioned()

    - #### public java.lang.Object newInstance()

    - #### public void setExternal(boolean external)